## pax 1.5-2

=== Makefile ===
PROG=   pax
SRCS=	ar_io.c ar_subs.c buf_subs.c cache.c cpio.c file_subs.c ftree.c\
	gen_subs.c getoldopt.c options.c pat_rep.c pax.c sel_subs.c tables.c\
	tar.c tty_subs.c fgetln.c strmode.c
OBJS=	$(SRCS:.c=.o)
MAN=	pax.1

CFLAGS= -Wall -O2 -g\
	-DNET2_STAT -D_PATH_DEFTAPE=\"/dev/rmt0\" -DDEBIAN -D_GNU_SOURCE

prefix=/usr/local

pax:	$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $@ $(LIBS)

clean:
	$(RM) *.o

realclean: clean
	$(RM) $(PROG)

install:
	install -d -m 755 $(prefix)/bin $(prefix)/man/man1
	install -s -m 755 $(PROG) $(prefix)/bin
	install    -m 644 $(MAN)  $(prefix)/man/man1
