=== debian/changelog ===
pax (1:1.5-2) unstable; urgency=low

  * changed Maintainer address to official and working Debian address

  * renamed md5sum to md5sums.

 -- David Frey <dfrey@debian.org>  Fri, 13 Feb 1998 23:15:39 +0100

pax (1:1.5-1) unstable; urgency=low

  * Initial Release of the OpenBSD's pax program from Keith Muller

 -- David Frey <dFrey@debian.org>  Wed, 10 Dec 1997 12:57:48 +0100

Local variables:
mode: debian-changelog
End:
