=== debian/control ===
Source: pax
Section: utils
Priority: extra
Maintainer: David Frey <dfrey@debian.org>
Standards-Version: 2.3.0.1

Package: pax
Architecture: any
Depends: ${shlibs:Depends}
Description: Portable Archive Interchange
 Pax is an archiving utility that reads and writes tar and cpio formats,
 both the traditional ones and the extended formats specified in IEEE 1003.1.
 It handles multi-volume archives and automatically determines the format 
 of an archive while reading it.  Three user interfaces are 
 supported: tar, cpio, and pax.  The pax interface was designed by IEEE
 1003.2 as a compromise in the chronic controversy over which of tar or
 cpio is best.
 .
 This is the free OpenBSD's version written by Keith Muller.
