=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

# The name of the package (for example, `emacs').
package=$(shell sed -n -e 's/Package: *\([a-z]\)/\1/p' debian/control)

build:
	$(MAKE) $(package) && touch build

clean:
	-$(MAKE) -i realclean && rm -f build
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	build
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build
	-rm -rf debian/tmp
	mkdir debian/tmp
	(cd debian/tmp; install -d DEBIAN usr/doc/$(package))
	$(MAKE) prefix=debian/tmp/usr install
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	gzip -9f debian/tmp/usr/doc/$(package)/changelog.Debian
	gzip -9  debian/tmp/usr/man/man1/$(package).1
	cp debian/copyright debian/tmp/usr/doc/$(package)
	dpkg-shlibdeps $(package)
	cd debian/tmp &&\
	  md5sum `find * -name DEBIAN -prune -o -type f -print`\
	   > DEBIAN/md5sums
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean
