## pax 1.5-8

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,6 @@
 	$(RM) $(PROG)
 
 install:
-	install -d -m 755 $(prefix)/bin $(prefix)/man/man1
+	install -d -m 755 $(prefix)/bin $(prefix)/share/man/man1
 	install -s -m 755 $(PROG) $(prefix)/bin
-	install    -m 644 $(MAN)  $(prefix)/man/man1
+	install    -m 644 $(MAN)  $(prefix)/share/man/man1
