=== debian/changelog ===
pax (1:1.5-8) stable unstable; urgency=low

  * oops.  rebuild with appropriate libraries for potato, closes: #75012

 -- Bdale Garbee <bdale@gag.com>  Fri, 20 Oct 2000 12:16:17 -0600

pax (1:1.5-7) stable unstable; urgency=low

  * apply patch from Geoff Clare <geoff@gclare.org.uk> that fixes problem with
    "full" name fields in ustar format.  Target stable since this can cause
    file loss under some circumstances.  Closes: #71644

 -- Bdale Garbee <bdale@gag.com>  Sun, 15 Oct 2000 23:25:49 -0600

pax (1:1.5-6) unstable; urgency=low

  * update to latest standards, add Build-Depends, get FHS'ed

 -- Bdale Garbee <bdale@gag.com>  Fri,  7 Jan 2000 20:39:46 -0700

pax (1:1.5-5) unstable; urgency=low

  * patches from Roman Hodek to include <sys/sysmacros.h> for glibc2.1,
    closes 41656.

 -- Bdale Garbee <bdale@gag.com>  Mon,  2 Aug 1999 01:51:03 -0600

pax (1:1.5-4) unstable; urgency=low

  * hack to fix compile problems with glibc-2.1, closes 34668

 -- Bdale Garbee <bdale@gag.com>  Mon, 24 May 1999 23:45:16 -0600

pax (1:1.5-3) unstable; urgency=low

  * new maintainer
  * freshen to pick up changes in latest OpenBSD pax source, and to get back
    to an upstream orig and Debian diffs configuration
  * rewrite rules file to use debhelper
  * update long description to indicate that this package will eventually
    be obsoleted by paxutils, a pre-release of which I'm working with now

 -- Bdale Garbee <bdale@gag.com>  Wed,  2 Dec 1998 21:21:57 -0700
