=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: pax
 Section: utils
 Priority: extra
-Maintainer: David Frey <dfrey@debian.org>
-Standards-Version: 2.3.0.1
+Maintainer: Bdale Garbee <bdale@gag.com>
+Build-Depends: debhelper
+Standards-Version: 3.1.1.1
 
 Package: pax
 Architecture: any
@@ -17,3 +18,5 @@
  cpio is best.
  .
  This is the free OpenBSD's version written by Keith Muller.
+ .
+ This package will eventually be obsoleted by the release of GNU paxutils.
