## pax 20090728

=== debian/changelog ===
pax (1:20090728-4) unstable; urgency=low

  * updated patch to fix hurd FTBFS, closes: #645346

 -- Bdale Garbee <bdale@gag.com>  Tue, 01 Nov 2011 06:55:59 -0600

pax (1:20090728-3) unstable; urgency=low

  * switch to use of dh
  * apply patch that purports to fix hurd FTBFS, closes: #645346

 -- Bdale Garbee <bdale@gag.com>  Sat, 22 Oct 2011 15:08:57 -0600

pax (1:20090728-2) unstable; urgency=low

  * update CFLAGS to prevent pax displaying file sizes 4*2^30 too large,
    closes: #595482
  * fix for tar.c to always add devmajor and devminor, closes: #609825
  * add Vcs entries to the control file

 -- Bdale Garbee <bdale@gag.com>  Thu, 17 Feb 2011 06:39:27 -0700

pax (1:20090728-1) unstable; urgency=low

  * new upstream version synthesized from OpenBSD CVS HEAD, 
    closes: #434470, #277738
  * update package description, et al, to reflect that we only ship with the
    pax interface (executable name) but cpio and tar can work if appropriately
    linked, closes: #505474

 -- Bdale Garbee <bdale@gag.com>  Wed, 29 Jul 2009 13:18:43 +0200

pax (1:1.5-16) unstable; urgency=low

  * patch for -s irregularities from Stephane Chazelas, closes: #451361
  * clean up various lintian warnings

 -- Bdale Garbee <bdale@gag.com>  Tue, 11 Dec 2007 23:13:03 -0700

pax (1:1.5-15) unstable; urgency=low

  * update priority in control file to match override
  * patch to fix archiving of 100 byte pathnames, closes: #191127
  * patch to fix full prefix field in ustar format, closes: #201768

 -- Bdale Garbee <bdale@gag.com>  Sun, 30 May 2004 00:48:29 -0300

pax (1:1.5-14) unstable; urgency=low

  * merge bzip2 support patch from Stephen Williams, closes: #178995

 -- Bdale Garbee <bdale@gag.com>  Tue, 18 Feb 2003 01:20:50 -0700

pax (1:1.5-13) unstable; urgency=low

  * apply patch from Anthony Towns to fix minor POSIX incompliance observed
    during LSB certification work, closes: #139943

 -- Bdale Garbee <bdale@gag.com>  Thu, 15 Aug 2002 14:56:57 -0600

pax (1:1.5-12) unstable; urgency=low

  * apply patch from Adam Heath for off-by-one error in tar.c when a file 
    has a long name, and the prefix is being filled for a posix tar header.  
    The last byte in the prefix wasn't being set to \0, closes: #128980
  * minor cosmetic changes to debian/ files

 -- Bdale Garbee <bdale@gag.com>  Mon, 14 Jan 2002 13:58:46 -0700

pax (1:1.5-11) unstable; urgency=low

  * change man page to fix references to POSIX standard, closes: #97839

 -- Bdale Garbee <bdale@gag.com>  Tue,  1 Jan 2002 09:43:00 -0700

pax (1:1.5-10) unstable; urgency=low

  * undo #if DEBIAN clause in file_subs.c that forced used of chown instead
    of lchown, since it's not necessary with modern kernels and causes other
    problems, closes: #110253
  * get rid of suidregister stuff, update standards version, etc

 -- Bdale Garbee <bdale@gag.com>  Sun, 30 Dec 2001 20:42:33 -0700

pax (1:1.5-9) unstable; urgency=low

  * trim extended description since paxutils is still not out, closes: #79035
  * fix sys/time.h + time.h inclusion problems, closes: #100790, #105191

 -- Bdale Garbee <bdale@gag.com>  Sun, 22 Jul 2001 23:20:46 -0600
