=== debian/control ===
Source: pax
Section: utils
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Vcs-Git: git://git.gag.com/debian/pax
Vcs-Browser: http://git.gag.com/?p=debian/pax

Package: pax
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Portable Archive Interchange
 Pax is an archiving utility that reads and writes tar and cpio formats,
 both the traditional ones and the extended formats specified in IEEE 1003.1.
 It handles multi-volume archives and automatically determines the format 
 of an archive while reading it.  The pax interface was designed by IEEE
 1003.2 as a compromise in the chronic controversy over which of tar or
 cpio is best.
 .
 This is the free OpenBSD's version written by Keith Muller.
