=== debian/changelog ===
pax (1:20120606-2+deb7u1) unstable; urgency=low

  * The “I know how that feels, porting” upload
  * Apparently, x32 did the right thing and uses a 64-bit off_t
    by default as the BSDs do, even if its long is shorter; it’s
    the first Linux architecture to do so ⇒ needs an extra check
  * Upload to unstable, so the x32 porting can go on; it doesn’t
    need to migrate to wheezy in itself but this change shouldn’t
    prevent an eventual 1:20120606-2+deb7u2 from migrating either

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 26 Jan 2013 17:04:17 +0000

pax (1:20120606-2) unstable; urgency=low

  * Fix permissions, timestamps, and shuffle dh_* around
  * Switch to 3.0 (quilt)
  * Temporarily add a versioned B-C for fakeroot on hurd (#676428)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 07 Jun 2012 00:37:12 +0000

pax (1:20120606-1) unstable; urgency=low

  * The “How the … did I get sore s̲h̲o̲u̲l̲d̲e̲r̲ muscles from football?” upload
  * Update to new upstream version:
    - oops, fix tty_init rewrito
  * This fixes FTBFS

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 06 Jun 2012 00:49:57 +0200

pax (1:20120605-1) unstable; urgency=low

  * The “Sport ist Mord” upload
  * Update to new upstream version:
    - merge fixes from OpenBSD
    - improve portability
    - remove use of stdio in favour of syscalls in some places
    - mention nōn-support (TOOD) of pax file format in manpages
  * Drop lintian overrides
    - false positive is resolved
    - we don’t really care about no-homepage and no-upstream-changelog
  * Build-Depends less package! Thanks to “goodbye” sample package!
  * Aid cross-compiling by setting ${CC} to something useful

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 05 Jun 2012 21:23:06 +0000

pax (1:20120520-1) unstable; urgency=low

  * New upstream version
    - paxtar front-end got a new 'a' option for compression
      utility auto-detection, based on archive filename
    - includes options.c change (drop Debian patch)
  * Mention member size limitations on !kfreebsd !LP64 platforms
    due to an eglibc bug (#317466)
  * Override lintian false-positive "hardening-no-stackprotector"
  * Add overrides for "yes, not an omission, there are none"

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 20 May 2012 18:05:19 +0000

pax (1:20120216-2) unstable; urgency=low

  * Update options.c to version from CVS to ensure the order of
    command line arguments in the cpio front-end more tightly,
    to prevent creating archives in the wrong format accidentally
  * Link with --as-needed (not enough to workaround #650145 though ☹)
  * Policy 3.9.3 (no changes)
  * Mention non-support of ACLs/EAs in the long description

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 27 Feb 2012 22:37:12 +0000

pax (1:20120216-1) unstable; urgency=low

  * Debian GNU/kFreeBSD uses 64-bit off_t line FreeBSD®, unlike GNU
  * Implement GNU cpio ‘-V’ option

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 16 Feb 2012 18:01:39 +0000

pax (1:20120212-1) unstable; urgency=low

  * Brown paper bag: pasto in one of the manpages, and work around a
    GNU groff deficiency in another

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 12 Feb 2012 03:03:15 +0000

pax (1:20120211-1) unstable; urgency=low

  * Take over maintainership of the pax package in Debian from
    Bdale Garbee (thanks) and replace it with the MirBSD variant
    also providing paxcpio/paxtar (Closes: #42158) (Closes: #539353)
  * debian/rules: cleanup (remove dh_installdirs, add back dh_clean)
  * debian/rules: modernise; use fully hardened dpkg-buildflags
  * debian/control: rework package description

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 12 Feb 2012 02:10:40 +0000

mircpio (20110817-0wtf2) wtf; urgency=low

  * New upstream release, many new features
    - build from formal release, not CVS export
  * Update packaging to current standards, still works with etch
  * Link against libbsd (backport) instead of duplicating code
  * Move to Policy 3.9.2 (no relevant changes)
  * Add RCS IDs, VCS-* headers, misc:Depends
  * Patch manpages to honour the binary præfix (pax→mirpax, etc.)
  * Enhance package description, mention distinguishing features
  * paxmirabilis can do Multi-Arch: foreign as requested by vorlon
  * Add Origin and Bugs headers

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 17 Aug 2011 10:55:08 +0000

mircpio (20080906-1) experimental; urgency=low

  * Initial release
  * Adjust manpages to cope with GNU groff’s inferiorities

 -- Thorsten Glaser <tg@freewrt.org>  Sun, 07 Sep 2008 01:00:10 +0000
