=== debian/control ===
# $MirOS: contrib/hosted/tg/deb/mircpio/debian/control,v 1.19 2012/06/07 00:38:22 tg Exp $
#
Source: pax
Section: utils
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Build-Conflicts: fakeroot (<< 1.18.4-2~) [hurd-i386]
Standards-Version: 3.9.3
# First word is the $CVSROOT (-d arg) string, second word the module.
# Upstream is on the same server, in the "pax" module.
Vcs-CVS: :ext:_anoncvs@anoncvs.mirbsd.org:/cvs contrib/hosted/tg/deb/mircpio
Vcs-Browser: http://cvs.mirbsd.de/contrib/hosted/tg/deb/mircpio/

Package: pax
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}
Description: Portable Archive Interchange (cpio, pax, tar)
 paxtar is an implementation of an archiving utility that reads
 and writes several formats - traditional ones, the extended
 formats specified in IEEE 1003.1, and the ar(5) format used
 by deb(5) packages (MirBSD specific paxtar extension). The
 pax interface was designed by IEEE 1003.2 as a compromise in
 the chronic controversy over which of tar or cpio is best, but
 this implementation offers paxcpio and paxtar for easy calling.
 .
 This is the MirBSD paxtar implementation supporting the formats
 ar, bcpio, cpio, SVR4 cpio with and without CRC, old tar, and
 ustar, but not the format known as pax yet. It has extensions
 for removing non-numerical user and group IDs from the archive,
 storing hardlinked files only once, setting ownership to the
 superuser, anonymising inode and device information, changing
 the mtime to zero, and producing GNU tar compatible trailing
 slashes on ustar directory nodes. Its "ar" format is suitable
 for operating on *.deb files, unlike that of GNU binutils.
 .
 Note that ACLs and Extended Attributes are not supported.
 Also, on Debian GNU/Hurd and Debian GNU/Linux (but not
 Debian GNU/kFreeBSD), size of archive members is limited
 to the width of the "long" type, that is, 2 GiB on platforms
 that do not have a 64-bit "long" type, due to a bug in the
 GNU C library (Debian #317466).
