## pax 20140703

=== debian/changelog ===
pax (1:20140703-2) unstable; urgency=low

  * QA upload.
  * Revert to a more standard Debian packaging style
  * Bump to Policy 3.9.6 while here
  * Orphan the package.

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 07 Oct 2014 18:09:21 +0000

pax (1:20140703-1) unstable; urgency=medium

  * Merge 1:20120606-2+deb7u1 upload
  * debian/control: Move VCS-* fields to Alioth collab-maint git
  * Remove now-useless RCS IDs
  * Bump Policy to 3.9.5 (no changes needed)
  * Revert intrusive, troubling packaging changes from experimental
  * New upstream version, upload to unstable
  * Address lintian’s concerns
  * Plug some GCC fortify warnings

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 03 Jul 2014 23:23:33 +0200

pax (1:20120606-3) experimental; urgency=low

  * “Our littlest” upload
  * Policy 3.9.4.0, with no relevant changes
  * Drop temporary B-C for fakeroot on hurd again
  * debian/watch: mangle the epoch away so DDPO is green again
  * Completely rewrite packaging using debhelper (Closes: #690381)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 26 Nov 2012 17:01:37 +0000
