=== debian/control ===
--- 
+++ 
@@ -1,20 +1,16 @@
-# $MirOS: contrib/hosted/tg/deb/mircpio/debian/control,v 1.19 2012/06/07 00:38:22 tg Exp $
-#
 Source: pax
 Section: utils
 Priority: optional
-Maintainer: Thorsten Glaser <tg@mirbsd.de>
-Build-Conflicts: fakeroot (<< 1.18.4-2~) [hurd-i386]
-Standards-Version: 3.9.3
-# First word is the $CVSROOT (-d arg) string, second word the module.
-# Upstream is on the same server, in the "pax" module.
-Vcs-CVS: :ext:_anoncvs@anoncvs.mirbsd.org:/cvs contrib/hosted/tg/deb/mircpio
-Vcs-Browser: http://cvs.mirbsd.de/contrib/hosted/tg/deb/mircpio/
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 5)
+VCS-git: git://anonscm.debian.org/collab-maint/pax.git
+VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pax.git
 
 Package: pax
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Portable Archive Interchange (cpio, pax, tar)
  paxtar is an implementation of an archiving utility that reads
  and writes several formats - traditional ones, the extended
