=== debian/changelog ===
pax (1:20151013-1) unstable; urgency=low

  * QA upload.
  * New upstream version
    - document more known issues
    - make list output line-buffered
  * Use more current debhelper compat and techniques
  * No longer try link-time optimisation as it’s constantly broken
  * Unbreak x32 build
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 13 Oct 2015 23:12:39 +0200
