=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 9)
 VCS-git: git://anonscm.debian.org/collab-maint/pax.git
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pax.git
