=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 CC?=			gcc
@@ -33,14 +34,11 @@
 
 debian/.build_stamp:
 	dh_testdir
-	+for opts in '-flto=jobserver' '-fwhole-program --combine' ''; do \
-		set -x; \
-		${CC} ${CPPFLAGS} ${CFLAGS} $$opts ${LDFLAGS} -o pax ar.c \
-		    ar_io.c ar_subs.c buf_subs.c cache.c cpio.c file_subs.c \
-		    ftree.c gen_subs.c getoldopt.c options.c pat_rep.c pax.c \
-		    sel_subs.c tables.c tar.c tty_subs.c; \
-		test -x pax && exit 0; \
-	done; echo >&2 Compiling failed.; exit 1
+	${CC} ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -o pax ar.c \
+	    ar_io.c ar_subs.c buf_subs.c cache.c cpio.c file_subs.c \
+	    ftree.c gen_subs.c getoldopt.c options.c pat_rep.c pax.c \
+	    sel_subs.c tables.c tar.c tty_subs.c
+	test -x pax
 	echo .nr g 2 | cat - cpio.1 >debian/paxcpio.1
 	echo .nr g 2 | cat - pax.1 >debian/pax.1
 	echo .nr g 2 | cat - tar.1 >debian/paxtar.1
@@ -55,23 +53,10 @@
 binary-indep: build-indep
 
 binary-arch: build-arch
-	dh_testdir
-	dh_testroot
-	if test -x "$$(which dh_prep)"; then dh_prep; else dh_clean -k; fi
-	dh_installchangelogs
-	dh_installdocs
-	dh_install
-	dh_installman
-	dh_lintian
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh $@
+
+# avoid dh7 being "too" automagic
+override_dh_auto_install:
 
 binary: binary-arch binary-indep
