## pax 20160306

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $MirOS: src/bin/pax/Makefile,v 1.16 2013/07/09 18:48:11 tg Exp $
+# $MirOS: src/bin/pax/Makefile,v 1.18 2016/03/06 14:59:08 tg Exp $
 # $OpenBSD: Makefile,v 1.10 2001/05/26 00:32:20 millert Exp $
 #-
 # It may be necessary to define some options on pre-4.4BSD or
@@ -18,6 +18,10 @@
 .if (${MACHINE_OS} == "Interix") || (${MACHINE_OS} == "Linux") || \
     ((${MACHINE_OS} == "GNU") && (${OSNAME} != "GNU/kFreeBSD"))
 CPPFLAGS+= -DLONG_OFF_T
+.endif
+
+.if (${MACHINE_OS} == "GNU") || (${MACHINE_OS} == "Linux")
+CPPFLAGS+= -DHAVE_LINKAT # probably
 .endif
 
 .if (${MACHINE_OS} == "BSD")
@@ -51,7 +55,7 @@
 	x=$$(ident ${.CURDIR:Q}/${_m}.${_n} | \
 	    awk '/MirOS:/ { print $$4$$5; }' | \
 	    tr -dc 0-9); (( $${#x} == 14 )) || exit 1; exec \
-	    ${MKSH} ${BSDSRCDIR:Q}/contrib/hosted/tg/ps2pdfmir -c \
+	    ${MKSH} ${BSDSRCDIR:Q}/contrib/hosted/tg/ps2pdfmir -p pa4 -c \
 	    -o ${_m}.${_n}.pdf '[' /Author '(The MirOS Project)' \
 	    /Title '('${CATS_TITLE_${_m}_${_n}:Q}')' \
 	    /Subject '(BSD Reference Manual)' /ModDate "(D:$$x)" \
