=== debian/changelog ===
pax (1:20160306-1) unstable; urgency=high

  * New upstream version
    - addresses CVE-2015-1193 and CVE-2015-1194 (Closes: #774716)
  * Retake active maintainership with sponsors (Closes: #764402)
  * Update tables.c from CVS incorporating lintian spelling fixes
  * Bump S-V (no changes); add Homepage; SSL URIs for VCS (lintian)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 06 Mar 2016 22:08:00 +0100
