=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pax
 Section: utils
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.9.6
+Maintainer: Thorsten Glaser <tg@mirbsd.de>
+Homepage: http://www.mirbsd.org/pax.htm
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9)
-VCS-git: git://anonscm.debian.org/collab-maint/pax.git
-VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pax.git
+VCS-git: https://anonscm.debian.org/collab-maint/pax.git
+VCS-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pax.git
 
 Package: pax
 Architecture: any
