=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 EXTRA_CPPFLAGS+=	-DLONG_OFF_T
 endif
 endif
+
+# probably on all
+EXTRA_CPPFLAGS+=	-DHAVE_LINKAT
 
 ifneq (,$(wildcard /usr/share/dpkg/buildflags.mk))
 # dpkg-dev (>= 1.16.1~)
@@ -34,8 +37,8 @@
 
 debian/.build_stamp:
 	dh_testdir
-	${CC} ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -o pax ar.c \
-	    ar_io.c ar_subs.c buf_subs.c cache.c cpio.c file_subs.c \
+	${CC} ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -o pax \
+	    ar.c ar_io.c ar_subs.c buf_subs.c cache.c cpio.c file_subs.c \
 	    ftree.c gen_subs.c getoldopt.c options.c pat_rep.c pax.c \
 	    sel_subs.c tables.c tar.c tty_subs.c
 	test -x pax
