## pax 20161104

=== debian/changelog ===
pax (1:20161104-2) unstable; urgency=low

  * Make cross-buildable (Closes: #842849)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 08 Nov 2016 23:33:12 +0000

pax (1:20161104-1) unstable; urgency=high

  * Fix bug in 1:20161031-1 that prevented several use cases by
    segfaulting; spotted by Han Boetes (thanks!)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 04 Nov 2016 21:20:35 +0100

pax (1:20161031-1) unstable; urgency=high

  * New upstream version (CVE-2016-6321)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 31 Oct 2016 17:42:24 +0100

pax (1:20161025-1) unstable; urgency=low

  * New upstream version
  * Bump debhelper compat; Policy (no changes needed)
  * Fix VCS URIs
  * Work around /usr/share/dpkg/buildflags.mk not quoting properly
  * Correct lintian overrides, we do have a Homepage now

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 25 Oct 2016 22:33:42 +0200
