=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: http://www.mirbsd.org/pax.htm
-Standards-Version: 3.9.7
-Build-Depends: debhelper (>= 9)
-VCS-git: https://anonscm.debian.org/collab-maint/pax.git
-VCS-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pax.git
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10)
+VCS-git: https://anonscm.debian.org/git/collab-maint/pax.git -b master
+VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/pax.git/?h=master
 
 Package: pax
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Enhances: arj, binutils, bsdtar, cpio, dpkg, gzip, lha,
+ p7zip, rar, star, tar, unrar, unzip, zip
 Description: Portable Archive Interchange (cpio, pax, tar)
  paxtar is an implementation of an archiving utility that reads
  and writes several formats - traditional ones, the extended
