=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,23 @@
 #!/usr/bin/make -f
 
+DEB_BUILD_ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
+DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+endif
 
-CC?=			gcc
+# is ${CC} defined anywhere (other than implicit rules?)
+ifneq (,$(findstring $(origin CC),default undefined))
+# no - then default to gcc (or cross-gcc)
+ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
+CC=			${DEB_HOST_GNU_TYPE}-gcc
+else
+CC=			gcc
+endif
+endif
+
+EXTRA_CPPFLAGS=		-DPAX_SAFE_PATH=\"/usr/bin:/bin\"
 EXTRA_CFLAGS=		-Wall -Wextra -Wformat -fno-strict-aliasing
 EXTRA_LDFLAGS=		-Wl,--as-needed
 
@@ -18,9 +32,10 @@
 
 ifneq (,$(wildcard /usr/share/dpkg/buildflags.mk))
 # dpkg-dev (>= 1.16.1~)
-DEB_CFLAGS_MAINT_APPEND=${EXTRA_CFLAGS}
-DEB_CPPFLAGS_MAINT_APPEND=${EXTRA_CPPFLAGS}
-DEB_LDFLAGS_MAINT_APPEND=${EXTRA_LDFLAGS}
+dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
+DEB_CFLAGS_MAINT_APPEND=$(call dpkgbuildflagsmkescape,${EXTRA_CFLAGS})
+DEB_CPPFLAGS_MAINT_APPEND=$(call dpkgbuildflagsmkescape,${EXTRA_CPPFLAGS})
+DEB_LDFLAGS_MAINT_APPEND=$(call dpkgbuildflagsmkescape,${EXTRA_LDFLAGS})
 DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/buildflags.mk
 else
