## pax 20171021

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $MirOS: src/bin/pax/Makefile,v 1.18 2016/03/06 14:59:08 tg Exp $
+# $MirOS: src/bin/pax/Makefile,v 1.20 2016/10/25 19:00:26 tg Exp $
 # $OpenBSD: Makefile,v 1.10 2001/05/26 00:32:20 millert Exp $
 #-
 # It may be necessary to define some options on pre-4.4BSD or
@@ -15,6 +15,9 @@
 LINKS+=	${BINDIR}/pax ${BINDIR}/cpio
 LINKS+=	${BINDIR}/pax ${BINDIR}/tar
 
+SAFE_PATH=/bin:/usr/bin:/usr/mpkg/bin:/usr/local/bin
+CPPFLAGS+= -DPAX_SAFE_PATH=\"${SAFE_PATH}\"
+
 .if (${MACHINE_OS} == "Interix") || (${MACHINE_OS} == "Linux") || \
     ((${MACHINE_OS} == "GNU") && (${OSNAME} != "GNU/kFreeBSD"))
 CPPFLAGS+= -DLONG_OFF_T
@@ -22,6 +25,7 @@
 
 .if (${MACHINE_OS} == "GNU") || (${MACHINE_OS} == "Linux")
 CPPFLAGS+= -DHAVE_LINKAT # probably
+CPPFLAGS+= -DHAVE_SYS_SYSMACROS_H # probably
 .endif
 
 .if (${MACHINE_OS} == "BSD")
