=== debian/changelog ===
pax (1:20171021-2) unstable; urgency=low

  * Policy 4.1.3 (no changes)
  * Debhelper 11, prompted by lintian…
  * Update VCS-* to new repository caused by Alioth deprecation
  * Use ?= for dpkg-architecture output, thanks lintian
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 05 Jan 2018 20:22:38 +0100

pax (1:20171021-1) unstable; urgency=medium

  * New upstream release
    - (Closes: #878512) (Closes: #878642) (Closes: #878645)
    - fixes some error messages
    - let lzip have .lz and .tlz extensions (thanks Antonio)
    - exit nonzero if the compression subprocess fails
  * Bump Policy (no changes)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 21 Oct 2017 21:55:55 +0200
