=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: http://www.mirbsd.org/pax.htm
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 10)
-VCS-git: https://anonscm.debian.org/git/collab-maint/pax.git -b master
-VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/pax.git/?h=master
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11)
+VCS-git: https://evolvis.org/anonscm/git/alioth/pax.git -b master
+VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/pax.git;a=shortlog;h=refs/heads/master
 
 Package: pax
 Architecture: any
