=== debian/watch ===
version=3
opts="dversionmangle=s/^[0-9]+://" \
http://www.mirbsd.org/MirOS/dist/mir/cpio/ paxmirabilis-(.*)\.cpio\.gz
